trinity-users@lists.pearsoncomputing.net

Message: previous - next
Month: September 2012

Re: [trinity-users] Trinity and openSUSE

From: Francois Andriot <francois.andriot@...>
Date: Thu, 20 Sep 2012 06:36:34 +0200
Le 20/09/2012 02:12, Robert Xu a écrit :
> On Wed, Sep 19, 2012 at 5:15 PM, Francois Andriot
> <francois.andriot@...>  wrote:
>> Le 18/09/2012 21:20, Robert Xu a écrit :
>>
>>> On Tue, Sep 18, 2012 at 3:07 PM, Slávek Banko<slavek.banko@...>
>>> wrote:
>>>> On Tuesday 18 of September 2012 20:51:52 Robert Xu wrote:
>>>>> Additionally, I haven't updated my specs in about a month trying to
>>>>> get tqt3 to compile.
>>>> Robert,
>>>>
>>>> I see that you're trying for R14.
>>>> You will also prepare 3.5.13.1?
>>>>
>>> Planning to, but I don't think I'll have them ready in time for
>>> 3.5.13.1 release.
>>> (To be honest, I don't have much time as I would like or thought I would
>>> have.)
>>>
>> Hello,
>> here is my TDE 3.5.13 test build for Opensuse 12.2 x86_64. For now, I've
>> built up to tdebase only.
>>
>> The following commands should do the trick to install tdebase:
>> # zypper addrepo -t YUM
>> http://trinity.mangafrance.com/opensuse12.2/trinity-3.5.13/RPMS/x86_64/
>> trinity-3.5.13
>> # zypper addrepo -t YUM
>> http://trinity.mangafrance.com/opensuse12.2/trinity-extras/RPMS/x86_64/
>> trinity-extras
>> # zypper install trinity-tdebase
>> Note: when it complains about unsigned packages, just answer "yes" to ignore
>> and continue.
>>
>> Notes:
>> - Only QT3 package is based on the original opensuse 12.2 package, updated
>> to 3.3.8d .
>> - I've taken binary packages for HAL 0.5.14 from the opensuse-kde3
>> repository.
>> - All other packages are based on Trinity's RHEL/Fedora packaging, with very
>> tiny modifications for OpenSuse. It's not based on opensuse-kde3.
>> - Installing QT 3.3.8d will update Opensuse's QT 3.3.8c and will likely
>> break KDE3 if it is installed, sorry for that.
>>
>> And yes, I know, the first feedback I will get is "hey, why are there no
>> i386 packages ?".
>> The answer is: if I had built i386 packages, the first feedback would have
>> been "hey, why are there no x86_64 packages ?"
>> :-)
>> I will build i586 tomorrow.
>>
>> Source packages are here:
>> http://trinity.mangafrance.com/opensuse12.2/trinity-3.5.13/SRPMS/
>>
> :D
> Did you use the open build service (build.opensuse.org) to build
> these? (I'm assuming not)
> And these are for 3.5.13 stock, correct?
>


No I don't use openbuild, I build everything on my own computer.
I will have a look to this service if it can help me.

The packages are 3.5.13 + selected updates from GIT.
It's not based on 3.5.13-sru GIT branch but very close.
I will stop maintaining my own updates myself when 3.5.13.1 is released.

Francois